#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pixmaps )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/korganizer
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE korgac.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
  PO_DIR korganizer-desktops
)


##### korgac (executable) #######################

tde_add_executable( korgac AUTOMOC
  SOURCES
    korgacmain.cpp alarmdialog.cpp alarmdockwindow.cpp koalarmclient.cpp
    alarmclientiface.skel
  LINK korganizer_eventviewer-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
